The python script test_readable.py was added for backword and forward
compability. maintaining 2 scripts that finally doing the same is west,
reverting and using readable.sh and leave the python out.
https://tracker.ceph.com/issues/74074
Signed-off-by: Nitzan Mordechai <nmordech@ibm.com>
(cherry picked from commit
9d289ed14e79fa8008ba30b77b425a4508030110)
--- /dev/null
+#!/usr/bin/env bash
+set -ex
+CEPH_ARGS=""
+mydir=`dirname $0`
+ceph-dencoder version
+
+# clone the corpus repository on the host
+git clone -b master https://github.com/ceph/ceph-object-corpus.git $CEPH_MNT/client.0/tmp/ceph-object-corpus-master
+
+export CORPUS_PATH=$CEPH_MNT/client.0/tmp/ceph-object-corpus-master
+$mydir/../../../src/test/encoding/readable.sh
+
+echo $0 OK
#!/usr/bin/env bash
set -e
-source $(dirname $0)/../detect-build-env-vars.sh
[ -z "$CEPH_ROOT" ] && CEPH_ROOT=..
-dir=$CEPH_ROOT/ceph-object-corpus
+# check if CORPUS_PATH is set then use it for dir, if not use $CEPH_ROOT/ceph-object-corpus
+if [ -n "$CORPUS_PATH" ]; then
+ dir=$CORPUS_PATH
+else
+ source $(dirname $0)/../detect-build-env-vars.sh
+ dir=$CEPH_ROOT/ceph-object-corpus
+fi
failed=0
numtests=0